#!/bin/sh
#
#  localize.sh for EU.net
#
#  Create local files: postnews, defs.h, Makefile
#  Change them to the local requirements
#
echo "Localizing for EU.net:"

rm -f Makefile
cp Makefile.dst Makefile
chmod u+w Makefile
echo Changes to Makefile:
ed - Makefile  <<'EOF'
!echo using V7/BSD4_3 environment
g/^#V7 /s///p
g/^#BSD4_3 /s///p
g/^#USG /d
g/^#VMS /d
g/^#BSD4_1 /d
g/#NOTVMS/s///p
/^UUXFLAGS/s/-r -z/-r -z -gM/p
!echo changing setuid mode from 6755 to 6751
g/6755/s//6751/p
/^BATCHDIR/s/batch/news\/batched/p
w
q
EOF
chmod 444 Makefile

rm -f defs.h
cp defs.dist defs.h
chmod u+w defs.h
echo Changes to defs.h:
ed - defs.h <<'EOF'
!echo news manager
/ROOTID/s/10/126/p
!echo news security
/N_UMASK/s/000/002/p
!echo default subscription
/DFLTSUB/s/".*"/"cwi.all,nlnet.all,eunet.all,all.announce"/p
!echo adm default subscription
/ADMSUB/s/".*"/"cwi.all"/p
!echo default xmit
/DFTXMIT/s/-z/-z -gM/p
/UXMIT/s/-z/-z -gM/p
!echo no automatic newsgroup creation
/NONEWGROUPS/s/.*#/#/p
!echo pretend to be Internet
/INTERNET/s;/\* ;;p
!echo gethostname is available
/GHNAME/s;/\* ;;p
!echo Xrefs for rn
/DOXREFS/s;/\* ;;p
!echo enable multicast
/MULTICAST/s;/\* ;;p
!echo BSD4_2 for BSD_4.[23]
/BSD4_2/s;/\* ;;p
!echo use sendmail
/SENDMAIL/s;/\* ;;p
!echo my organization
/MYORG/c
#define MYORG "European Unix systems User Group" /* My organization.  Please     */
.
.p
!echo local domain eu.net, central uucp host mcsun
/MYDOMAIN/s/\.UUCP/.eu.net/p
/GENERICPATH/c
#define GENERICPATH	"mcsun"
.
.p
/GENERICFROM/c
#define GENERICFROM	"eu.net"
.
.p
!echo centralized control
/ORGDISTRIB/c
#define ORGDISTRIB	"euug"
.
.p
!echo allow max 1024 newsgroups
/LINES/s/512/1024/p
!echo allow sysfile entry to be max 4096 chars
/LBUFLEN/s/1024/4096/p
w
q
EOF
